Modifier un webhook

Afficher en MarkdownOuvrir dans Claude
Modifie un webhook existant. <Note title="Rôle requis"> `tenantManager` Également autorisés sans rôle : le propriétaire. </Note>

Authentification

AuthorizationBearer

Authentification Bearer par jeton utilisateur ou jeton d’accès : Authorization: Bearer <token>.

Paramètres de chemin

webhookIdstringRequis
L'identifiant du webhook.

En-têtes

If-MatchstringRequis

L’ETag de la ressource, pour le contrôle de concurrence optimiste.

Requête

This endpoint expects an object.
endpointUrlstringOptionnel
L'URL de l'endpoint du webhook.
notifiedEventslist of stringsOptionnel

Les types d’événements notifiés au webhook.

customHeadersmap from strings to stringsOptionnel

Un dictionnaire d’en-têtes personnalisés sous forme de paires clé-valeur, indexé par nom d’en-tête.

Réponse

L’entité Webhook mise à jour.

createdlong

La date de création de l’entité.

endpointUrlstring
L'URL de l'endpoint du webhook.
idstring
L'identifiant du webhook.
notifiedEventslist of strings

Les types d’événements notifiés au webhook.

tenantIdstring
L'identifiant du tenant auquel appartient le webhook.
updatedlong

La date de dernière modification de l’entité.

customHeadersmap from strings to anyOptionnel

Une liste d’en-têtes personnalisés, chacun composé d’une clé et d’une valeur.

userIdstringOptionnel
L'identifiant de l'utilisateur auquel appartient le webhook, dans le cas d'un webhook utilisateur.

Erreurs

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
412
Precondition Failed Error